Skip to main content
PATCH
/
gdpr
/
consent
Update consent preferences
curl --request PATCH \
  --url https://api.getovra.com/gdpr/consent \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "termsAccepted": true,
  "privacyAccepted": true,
  "marketingOptIn": true
}
'
{
  "ownerId": "<string>",
  "termsAcceptedAt": "2023-11-07T05:31:56Z",
  "privacyAcceptedAt": "2023-11-07T05:31:56Z",
  "marketingOptIn": true,
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key (sk_...) or Agent token (at_...)

Body

application/json
termsAccepted
boolean
privacyAccepted
boolean
marketingOptIn
boolean

Response

Consent updated

ownerId
string
termsAcceptedAt
string<date-time> | null
privacyAcceptedAt
string<date-time> | null
marketingOptIn
boolean
updatedAt
string<date-time>